<?php

namespace App\Http\Controllers\Admin;

use App\BikeModel;
use App\BikeModelColorVariant;
use App\BikePart;
use App\BikeOil;
use App\BikePartExcel;
use App\DealerUser;
use App\FootFallRecord;
use App\Http\Controllers\Controller;
use App\MobileBikeModel;
use App\MobileBikeModelColorVariant;
use App\Models\AdminUser;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\HomePageImage;
use Illuminate\Support\Facades\Gate;
use Illuminate\Support\Facades\Hash;
use Spatie\Permission\Models\Role;
use App\User;



//use App\User;

use Illuminate\Support\Facades\Auth;
class HomeController extends Controller
{
    public function __construct()
    {
        //$this->middleware('auth');
        $this->middleware('permission:Web-Access',['only' => ['index']]);

        $this->middleware('permission:Mobile-Access',['only' => ['mobile_app_index']]);
        $this->middleware('permission:Dealer-Admin-Access',['only' => ['dealer_app_index']]);
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {


        return view('admin.web-control.home', compact(['bikes', 'bike_variant_images', 'bike_parts_excel', 'bike_oils']));
    }


    public function mobile_app_index()

    {

        $bikes = MobileBikeModel::all();
        $bike_variant_images = MobileBikeModelColorVariant::all();
        $bike_parts = BikePart::all();
        $bike_oils = BikeOil::all();
        $users=User::all();
        $clients=User::where('user_type','client')->get();
        return view('admin.mobile-app-control.home', compact(['bikes', 'bike_variant_images', 'clients', 'users']));
    }



    public function dealer_app_index()

    {

        $bikes = MobileBikeModel::all();
        $bike_variant_images = MobileBikeModelColorVariant::all();
        $bike_parts = BikePart::all();
        $bike_oils = BikeOil::all();
        $users=DealerUser::all();
        $clients=FootFallRecord::all();
        return view('admin.dealer_app_control.home', compact(['bikes', 'bike_variant_images', 'clients', 'users']));
    }

    public function start_index()
    {
        return view('admin.start_page.index2');
    }


    public function getSpecificationForm(Request $request)
    {
        $category_id = $request->category_id;

        $spec = DB::table('bike_specification_forms')->where('bike_category_id', $category_id)->first();

        $form = $spec->form;

        return $form;

    }

    public function getCategoryByBike(Request $request)
    {
        $bike_id = $request->bike_id;
        $bike = BikeModel::find($bike_id);

        return json_encode($bike->category_id);
    }
    public function getMobileCategoryByBike(Request $request)
    {
        $bike_id = $request->bike_id;
        $bike = MobileBikeModel::find($bike_id);

        return json_encode($bike->category_id);

    }
    public function showChangePasswordForm(Request $request)
    {
//        return redirect()->route('changePassword');
        return view('auth.changepassword');
    }
}
