<?php

namespace App\Http\Controllers\Api;

use App\Models\Result;
use App\Models\UniversityCode;
use App\Models\Zone;
use App\Services\ApiCommonResponseService;
use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Tymon\JWTAuth\Facades\JWTAuth;

class ResultController extends Controller
{
    public $apiResponse;
    public function __construct()
    {
        $this->apiResponse = new ApiCommonResponseService();
    }
    public function get(){
        $user = JWTAuth::parseToken()->authenticate();
        $result = Result::where('participant_id', $user->id)->first();
        $data = [];
        if(!$result){
            $data = [
               'mcq' => 'Not Attended / Examined Yet',
               'video' => 'Not Attended / Examined Yet',
               'physical' => 'Not Attended / Examined Yet',
            ];
        }
        else{
            $data = [
                'mcq' => $result->mcq_exam_marks == -1 ? 'Not Attended / Examined yet' : $result->mcq_exam_marks,
                'video' => $result->video_audition_marks == 0 ? 'Not Attended / Examined yet' : $result->video_audition_marks,
                'physical' => $result->physical_audition_marks == 0 ? 'Not Attended / Examined yet' : $result->physical_audition_marks,
            ];
        }
        return $data;
    }

    public function supervisor(Request $request){
           return User::find($request->id);
    }

    public function download(Request $request){
            $zone_id = $request->zone_id;
            $results = Result::where('zone_id',$zone_id)->get();
            $results = $this->CleanData($results);
            return $this->apiResponse->success_response(200,'Result is successfully done', $results);
    }
    public function CleanData($results){
        $total = [];
        foreach ($results as $result){
            try{
            $user = User::find($result->participant_id);
            $formatted_data['tth_id'] = $user->tth_id;
            $formatted_data['user_name'] = $user->user_name;
            $formatted_data['email'] = $user->email;
            if($user->zone_id){
                $formatted_data['zone'] = Zone::find($user->zone_id)->name;
            }
            else{
                $formatted_data['zone'] = null;
            }
            if($user->institute_name){
                $formatted_data['university'] = UniversityCode::find($user->institute_name)->university;
            }
            else{
                $formatted_data['university'] = $user->university_name;

            }
            $formatted_data['mcq_marks'] = $result->mcq_exam_marks;
            $formatted_data['physical_audition_marks'] = $result->physical_audition_marks;
            $formatted_data['video_audition_marks'] = $result->video_audition_marks;
            $formatted_data['total_marks'] =  $result->mcq_exam_marks +  $result->physical_audition_marks + $result->video_audition_marks;
            $total [] = $formatted_data;
        }catch(\Exception $e){
                continue;
            }

    }
        return $total;
    }
}
