<?php

namespace App\Http\Controllers\Api;

use App\Models\UniversityCode;
use App\Models\Zone;
use App\Services\ApiCommonResponseService;
use App\User;
use Box\Spout\Common\Escaper\CSV;
use Box\Spout\Writer\CSV\Writer;
use Box\Spout\Writer\WriterFactory;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class XLManagement extends Controller
{
    public $apiResponse;
    public function __construct()
    {
        $this->apiResponse = new ApiCommonResponseService();
    }

    public function download(Request $request){
        $query_parameters['user_type'] = 4;
        $query_parameters['active_status'] = 1;
        if($request->zone_id)
            $query_parameters['zone_id'] = $request->zone_id;
        if($request->university_id)
            $query_parameters['institute_name'] = $request->university_id;
        $users = User::with('zone')->where($query_parameters)->select('id')->get();
        $data = [];

        foreach ($users as $user){
            $data[] = $this->CleanData($user->id);
        }
        return $this->apiResponse->success_response(200, 'Data retirved Successfully' , $data);

    }
    public function CleanData($id){
        $user = User::find($id);
        $formatted_data['user_name'] = $user->user_name;
        $formatted_data['father_name'] = $user->father_name;
        $formatted_data['mother_name'] = $user->mother_name;
        $formatted_data['tth_id'] = $user->tth_id;
        $formatted_data['company'] = $user->company;
        $formatted_data['email'] = $user->email;
        $formatted_data['phone'] = $user->phone;
        $formatted_data['address'] = $user->address;
        $formatted_data['status'] = $user->active_status;
        $formatted_data['reference_id'] = $user->reference_id;
        $formatted_data['bkash'] = $user->bkash_transaction_no;
        if($user->zone_id){
            $formatted_data['zone'] = Zone::find($user->zone_id)->name;
        }
        else{
            $formatted_data['zone'] = null;
        }
        if($user->institute_name){
            $formatted_data['university'] = UniversityCode::find($user->institute_name)->university;
        }
        else{
            $formatted_data['university'] = $user->university_name;

        }
        return $formatted_data;
    }
}
