<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\ResetsPasswords;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use App\User;
use App\Models\AdminUser;


use Illuminate\Support\Str;
use Illuminate\Auth\Events\PasswordReset;

class ResetPasswordController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Password Reset Controller
    |--------------------------------------------------------------------------
    |
    | This controller is responsible for handling password reset requests
    | and uses a simple trait to include this behavior. You're free to
    | explore this trait and override any methods you wish to tweak.
    |
    */

    use ResetsPasswords;

    /**
     * Where to redirect users after resetting their password.
     *
     * @var string
     */
    protected $redirectTo = '/home';

    /**
     * Create a new controller instance.
     *
     * @return void
     */


    public function __construct()
    {
        $this->middleware('auth:admin');
    }
    public function showChangePasswordForm()
    {
        return view('auth.changepassword');
    }

    public function updateAdPassword(Request $request)
    {

        $user_id = Auth::user()->id;
        //$user_name = Auth::user()->name;
        $user = AdminUser::find($user_id);

        $this->validate($request, [
            'old_password' => 'required',
            'new_password' => 'required|string|min:6|confirmed',
        ]);

        $data = $request->all();

        if (Hash::check($data['old_password'], $user->password)) {

            AdminUser::where('id', $user_id)
                ->update(['password' => bcrypt($request->new_password)]);

            $request->session()->flash('success', 'Password changed');

            return redirect()->route('changePassword');
        } else {
            session()->flash('error', 'Incorrect Current Password');
           return redirect()->route('changePassword');
        }
    }

//    protected function resetPassword($user, $password)
//    {
//        $user->password = $password;
//
//        $user->setRememberToken(Str::random(60));
//
//        $user->save();
//
//        event(new PasswordReset($user));
//
//        $this->guard()->login($user);
//    }
}
