<?php

namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Spatie\Permission\Traits\HasRoles;
use App\Notifications\AdminResetPasswordNotification;

class AdminUser extends Authenticatable
{
    use Notifiable;
    use HasRoles;

    protected $guard_name = 'web'; // or whatever guard you want to use

    protected $fillable = [
        'name', 'email', 'user_name','password','contact_number'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function sendPasswordResetNotification($token)
    {
        $this->notify(new AdminResetPasswordNotification($token));
    }

    // Only accept a valid password and
    // hash a password before saving
//    public function setPasswordAttribute($password)
//    {
//        if ( $password !== null & $password !== "" )
//        {
//            $this->attributes['password'] = bcrypt($password);
//        }
//    }
}
