<?php


namespace App\Services;

//use App\Helpers\StringOpHelper;
//use App\Jobs\SendPushNotification;
use App\Notification;
use App\NotificationToken;
use Carbon\Carbon;
use Illuminate\Support\Facades\DB;
use LaravelFCM\Message\OptionsBuilder;
use LaravelFCM\Message\PayloadDataBuilder;
use LaravelFCM\Message\PayloadNotificationBuilder;
use FCM;

class NotificationService
{
    public static function addNotification($sub_title, $title, $description, $type_id, $user_id,$image)
    {
        $notification = Notification::create([
            'user_id' => $user_id,
            'type_id' => $type_id,
            'sub_title' => $sub_title,
            'title' => $title,
            'description' => $description,
            'image'=>$image

        ]);

        return $notification;
    }



    public static function storeNotificationToken($user_id,$notification_token, $app_platform)
    {
        //dd($notification_token,$user_id,$app_platform);
        $new_notification_token = NotificationToken::create([
           'user_id' => $user_id,
            'token' => $notification_token,
            'app_platform' => $app_platform
        ]);

        return $new_notification_token;
    }


    public static function deleteNotificationToken($notification_token)
    {
        if (is_array($notification_token)) {
            NotificationToken::whereIn('token', $notification_token)->delete();
        } else {
            NotificationToken::where('token', $notification_token)->delete();
        }

    }



}
