<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Spatie\Permission\Models\Permission;

class PermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {

        DB::statement('SET FOREIGN_KEY_CHECKS=0;');

        DB::table('permissions')->truncate();

        // Reset cached roles and permissions
        app()[\Spatie\Permission\PermissionRegistrar::class]->forgetCachedPermissions();

        $permission = [
            [
                'name' => 'Super-Admin1',
                'guard_name' => 'web'
            ],
            [
                'name' => 'Super-Admin2',
                'guard_name' => 'web'
            ],
            [
                'name' => 'Super-Admin3',
                'guard_name' => 'web'
            ],
            [
                'name' => 'Admin1',
                'guard_name' => 'web'
            ],
            [
                'name' => 'Admin2',
                'guard_name' => 'web'
            ],
            [
                'name' => 'Normal',
                'guard_name' => 'web'
            ],
            [
                'name' => 'Participate1',
                'guard_name' => 'web'
            ],
            [
                'name' => 'Participate2',
                'guard_name' => 'web'
            ],
            [
                'name' => 'Judges',
                'guard_name' => 'web'
            ],
            [
                'name' => 'Supervisors',
                'guard_name' => 'web'
            ],
            [
                'name' => 'Talents1',
                'guard_name' => 'web'
            ],
            [
                'name' => 'Judges2',
                'guard_name' => 'web'
            ],




        ];
        foreach ($permission as $key => $value) {
            Permission::create($value);
        }

        DB::statement('SET FOREIGN_KEY_CHECKS=1;');

    }
}
