@extends('admin.layouts.mobile_layout')

@section('title')
    Show | Bike Parts | Suzuki Admin Panel
@endsection

@section('page-heading')
    Dashboard
@endsection

@section('breadcumb')
    <li class="breadcrumb-item"><a href="ecommerce-dashboard.html#">Suzuki</a></li>
    <li class="breadcrumb-item active">Bike Part</li>
@endsection

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <div class="row">
                    <div class="col-12">
                        <div class="p-20">
                            {{--<form action="{{route('bike-parts.update',$bike_part->id)}}" class="form-horizontal"
                                  role="form"
                                  enctype="multipart/form-data" method="post">

                                {{method_field('PUT')}}
                                {{csrf_field()}}--}}

                            <div class="form-group row">
                                <label class="col-2 col-form-label">Bike Model</label>
                                <div class="col-10 mt-2">
                                    @foreach($bike_part->model_bikes as $key=>$model_bike)
                                        {{$model_bike->model_title}}
                                        @if($key < count($bike_part->model_bikes)-1){{', '}}@endif
                                    @endforeach
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-2 col-form-label">Part Type</label>
                                <div class="col-10 mt-2">
                                    {{$bike_part->bike_part_type->name}}
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-2 col-form-label">Name</label>
                                <div class="col-10 mt-2">
                                    {{$bike_part->name}}
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-2 col-form-label">Description</label>
                                <div class="col-10 mt-2">
                                        {{$bike_part->description}}
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-2 col-form-label">Bike Part Price</label>
                                <div class="col-10 mt-2">
                                    {{$bike_part->price}}
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-2 col-form-label">Part Image</label>
                                <div class="col-10">
                                    <img style="max-width: 250px; max-height: 200px" id=""
                                         src="{{asset($bike_part->image)}}" alt="{{$bike_part->name}}" class="mt-1">
                                </div>
                            </div>

                            <a href="{{route('bike-parts.edit',$bike_part->id)}}" class="btn btn-primary">Edit</a>

                            {{--</form>--}}
                        </div>
                    </div>

                </div>
                <!-- end row -->

            </div> <!-- end card-box -->
        </div><!-- end col -->
    </div>
@endsection

@section('page-specific-js')
    <script src="{{asset('pages/jquery.dashboard_3.js')}}"></script>
@endsection
