@extends('admin.layouts.layout')

@section('title')
   Role Details | Suzuki Admin Panel
@endsection

@section('page-specific-css')
    <link href="{{ asset('plugins/datatables/dataTables.bootstrap4.min.css') }}" rel="stylesheet" type="text/css"/>
    <link href="{{ asset('plugins/datatables/responsive.bootstrap4.min.css') }}" rel="stylesheet" type="text/css"/>
@endsection

@section('page-heading')
    Role Details
@endsection

@section('right-side-button')
    <a type="button" class="btn btn-default  waves-effect waves-light" href="{{ route('roles.index') }}">
        <span class="btn-label"><i class="fa fa-arrow-circle-left"></i></span>Back
    </a>
@endsection
@section('breadcumb')
    <li class="breadcrumb-item"><a href="{{route('home')}}">Home</a></li>
    <li class="breadcrumb-item active">Role</li>
@endsection

@section('content')
    <div class="row">
        <div class="col-12">
            <div class="card-box table-responsive">
                <table id="responsive-datatable" class="table table-bordered table-bordered dt-responsive nowrap"
                       cellspacing="0" width="100%">
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Permissions</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td> {{ $role->name }}</td>
                        <td>
                            @foreach($rolePermissions as $permission)
                                <span class="label label-inverse">{{ $permission }}</span>
                            @endforeach
                        </td>
                    </tr>
                    </tbody>
                </table>
                @can('role-update')
                <a class="btn btn-primary" href="{{ route('roles.edit',$role->id) }}"><i
                            class="fa fa-edit"></i> Edit</a>
                @endcan
            </div>
        </div>
    </div>
@endsection